# lzfile Struct Reference

Collaboration diagram for lzfile:
[legend]

## Data Fields

CBuffer | g_InBuffer
CLzmaDecoderState | state
unsigned char | properties [5U]
pid_t | pid

## Detailed Description

Definition at line 2739 of file rpmio.c.

## Field Documentation

CBuffer lzfile::g_InBuffer

Definition at line 2740 of file rpmio.c.

Referenced by lzdClose(), lzdFlush(), lzdRead(), lzdReadOpen(), lzdWrite(), and lzdWriteOpen().

pid_t lzfile::pid

Definition at line 2747 of file rpmio.c.

Referenced by lzdClose(), and lzdWriteOpen().

unsigned char lzfile::properties[5U]

Definition at line 2742 of file rpmio.c.

Referenced by lzdReadOpen().

CLzmaDecoderState lzfile::state

Definition at line 2741 of file rpmio.c.

Referenced by lzdClose(), lzdRead(), and lzdReadOpen().

The documentation for this struct was generated from the following file:

- rpmio/rpmio.c